{% extends 'base.html' %}

{% block title %} Edit information {% endblock %}

{% block header %}
<li><a href="{{url_for('home.index')}}">Home</a></li><!--
--><li><a href="{{url_for('list_departments.ls_dep')}}">List of departments</a></li><!--
--><li><a href="{{url_for('list_employees.ls_emp')}}">List of employees</a></li><!--
--><li><a id="now" href="{{url_for('search.search')}}">&#128269;</a></li>
{% endblock %}

{% block section %}
<div>
<h2 class="manage">Manage <b>Employees </b><button type="button"
class="btn btn-success" data-toggle="modal"
data-target="#mymodal">ADD NEW EMPLOYEE</button></h2>


{% with messages = get_flashed_messages() %}
    {% if messages %}
        {% for message in messages %}
            <div class="alert alert-success alert-dismissable" role="alert">

                <button type="button" class="close" data-dismiss="alert" aria-label="close">
                    <span aria-hidden="true">x</span>
                </button>

                <h4 class="message-flash"><b>{{ message }}</b></h4>
            </div>

        {% endfor %}
    {% endif %}
{% endwith %}
</div>

<hr>

<form action="{{url_for('search.search_date')}}" class="form-dob" method="POST">
	<label for="date-dob">Input employee <b>DOB</b>:</label>
	<input type="date" name="date-dob" id="date-dob" required="">
	<input type="submit" class="" name="">
</form>

{% if emp_dob_date %}
    <table>
        <tr>
        <th>Department</th>
        <th>Employee</th>
        <th>DOB</th>
        <th>Salary</th>
        <th>Action</th>
    </tr>

    {% for employee in emp_dob_date %}
    <tr>
        <td>{{employee.dep_name}}</td>
        <td>{{employee.name}}</td>
        <td>{{employee.dob}}</td>
        <td>{{employee.salary}}</td>
        <td class="edit">
            <a href="" class="btn btn-warning btn-xs" data-toggle="modal" data-target="#modaledit{{employee.id}}">EDIT</a>
            <a href="/delete/{{employee.id}}" class="btn btn-danger btn-xs" onclick="return confirm('Are you sure to delete this user?')">DELETE</a>
        </td>
    </tr>
    {% endfor %}
</table>
{% endif %}

<hr>

<form action="{{url_for('search.search_period')}}" class="form-dob" method="POST">
	<label for="period">Input employee <b>DOB in the period between dates</b>:</label>
	<input type="date" name="period-1" id="period" required="">
	<input type="date" name="period-2" id="period" required="">
	<input type="submit" id="period" class="" name="">
</form>

{% if emp_dob_period %}
    <table>
        <tr>
        <th>Department</th>
        <th>Employee</th>
        <th>DOB</th>
        <th>Salary</th>
        <th>Action</th>
    </tr>

    {% for employee in emp_dob_period %}
    <tr>
        <td>{{employee.dep_name}}</td>
        <td>{{employee.name}}</td>
        <td>{{employee.dob}}</td>
        <td>{{employee.salary}}</td>
        <td class="edit">
            <a href="" class="btn btn-warning btn-xs" data-toggle="modal" data-target="#modaledit{{employee.id}}">EDIT</a>
            <a href="/delete/{{employee.id}}" class="btn btn-danger btn-xs" onclick="return confirm('Are you sure to delete this user?')">DELETE</a>
        </td>
    </tr>
    {% endfor %}
</table>
{% endif %}

<hr>

<div id="mymodal" class="modal fade" role="dialog">
   <div class="modal-dialog">
      <div class="modal-content">

         <div class="modal-header">
            <h4 class="modal-title">Add Employee</h4>
         </div>

         <div class="modal-body">
            <form action="{{url_for('search.insert')}}" method="POST">

               <div class="form-group">
                  <label for="name">Name:</label>
                  <input type="text" id="name" class="form-control" name="name"
                         required="" pattern="^[A-Za-zА-Яа-яЁё\s]+$" placeholder="Ivan Ivanov">
               </div>

                <div class="form-group">
                  <label for="department">Department name:</label>
                  <select name="department" id="department" required class="form-control">
                        {% for dep in all_dep %}
                            <option value="{{dep.department}}">{{dep.department}}</option>
                        {% endfor %}
                    </select>
                </div>

                <div class="form-group">
                  <label for="dob-emp">DOB:</label>
                  <input type="date" class="form-control" name="dob-emp" id="dob-emp" required="">
               </div>

                <div class="form-group">
                  <label for="salary">Salary:</label>
                  <input type="number" class="form-control" name="salary" id="salary"
                         required="" min="5000" max="99999" placeholder="7500">
               </div>

               <div class="form-group">
                  <button class="btn btn-primary" type="submit">Add Employee</button>
               </div>

            </form>
         </div>

         <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
         </div>

      </div>
   </div>
</div>

{% if emp_dob_date %}
    {% for employee in emp_dob_date %}
        {% include 'edit.html' %}
    {% endfor %}
{% endif %}

{% if emp_dob_period %}
    {% for employee in emp_dob_period %}
        {% include 'edit.html' %}
    {% endfor %}
{% endif %}

{% endblock %}
